## gemini-cli 0.11.0

=== Makefile ===
# Makefile for gemini-cli

.PHONY: help install build build-sandbox build-all test lint format preflight clean start debug release run-npx create-alias

help:
	@echo "Makefile for gemini-cli"
	@echo ""
	@echo "Usage:"
	@echo "  make install          - Install npm dependencies"
	@echo "  make build            - Build the main project"
	@echo "  make build-all        - Build the main project and sandbox"
	@echo "  make test             - Run the test suite"
	@echo "  make lint             - Lint the code"
	@echo "  make format           - Format the code"
	@echo "  make preflight        - Run formatting, linting, and tests"
	@echo "  make clean            - Remove generated files"
	@echo "  make start            - Start the Gemini CLI"
	@echo "  make debug            - Start the Gemini CLI in debug mode"
	@echo ""
	@echo "  make run-npx          - Run the CLI using npx (for testing the published package)"
	@echo "  make create-alias     - Create a 'gemini' alias for your shell"

install:
	npm install

build:
	npm run build


build-all:
	npm run build:all

test:
	npm run test

lint:
	npm run lint

format:
	npm run format

preflight:
	npm run preflight

clean:
	npm run clean

start:
	npm run start

debug:
	npm run debug


run-npx:
	npx https://github.com/google-gemini/gemini-cli

create-alias:
	scripts/create_alias.sh

## gemini-cli 0.1.21

=== debian/changelog ===
gemini-cli (0.1.21-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@kali.org>  Mon, 18 Aug 2025 14:21:38 +0200

=== debian/control ===
Source: gemini-cli
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 npm,
Standards-Version: 4.7.2
Homepage: https://github.com/google-gemini/gemini-cli
Vcs-Browser: https://gitlab.com/kalilinux/packages/gemini-cli
Vcs-Git: https://gitlab.com/kalilinux/packages/gemini-cli.git

Package: gemini-cli
Architecture: all
Depends:
 ${misc:Depends},
 nodejs
Description: open-source AI agent
 This package contains an open-source AI agent that brings the power of Gemini
 directly into your terminal. It provides lightweight access to Gemini, giving
 you the most direct path from your prompt to the model.

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export HOME = $(CURDIR)/debian/home

$(CURDIR)/debian/home:
	mkdir -p $(CURDIR)/debian/home

%: $(CURDIR)/debian/home
	dh $@

override_dh_auto_clean:

execute_after_dh_auto_build:
	npm install
	npm run build

execute_before_dh_auto_test:
	# various output are tested and compared. language must be English
	# otherwise the comparisons will fail
export LC_ALL = C.UTF-8

execute_after_dh_fixperms:
	chmod 755 $(CURDIR)/debian/gemini-cli/usr/lib/gemini-cli/gemini.js

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/google-gemini/gemini-cli/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## gemini-cli 0.6.1

=== debian/changelog ===
gemini-cli (0.6.1-0kali1) kali-dev; urgency=medium

  * CI: disable build on i386
  * New upstream version 0.6.1
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Thu, 25 Sep 2025 16:55:16 +0200

gemini-cli (0.5.4-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * Update debian/watch: do not consider nightly, preview ...
  * New upstream version 0.5.4
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Fri, 19 Sep 2025 13:38:28 +0200

## gemini-cli 0.8.1

=== debian/changelog ===
gemini-cli (0.8.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.8.1
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Wed, 08 Oct 2025 11:21:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Sophie Brun <sophie@kali.org>
-Rules-Requires-Root: no
 Build-Depends:
  ca-certificates,
  debhelper-compat (= 13),

## gemini-cli 0.11.0

=== debian/changelog ===
gemini-cli (0.11.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.11.0
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Wed, 29 Oct 2025 17:45:31 +0100

gemini-cli (0.8.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.8.2

 -- Sophie Brun <sophie@kali.org>  Mon, 13 Oct 2025 17:27:58 +0200

=== debian/tests/control ===
Test-Command: gemini-cli --help
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v(((?:[0-9]\d*)(?:\.\d+){2})@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/google-gemini/gemini-cli/tags \
    (?:.*?/)v((?:[0-9]\d*)(?:\.\d+){2})@ARCHIVE_EXT@

## gemini-cli 0.20.2

=== debian/changelog ===
gemini-cli (0.20.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.20.2
  * Refresh patches
  * Add a patch to fix build

 -- Sophie Brun <sophie@kali.org>  Tue, 16 Dec 2025 16:17:46 +0100

gemini-cli (0.19.4-0kali1) kali-dev; urgency=medium

  * New upstream version 0.19.4

 -- Sophie Brun <sophie@kali.org>  Mon, 08 Dec 2025 15:43:06 +0100

gemini-cli (0.15.3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.15.3
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Mon, 17 Nov 2025 16:14:11 +0100

gemini-cli (0.13.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.13.0
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Fri, 07 Nov 2025 10:37:22 +0100

## gemini-cli 0.21.0

=== debian/changelog ===
gemini-cli (0.21.0-0kali1) kali-dev; urgency=medium

  * Add allow-stderr to autopkgtest
  * New upstream version 0.21.0
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Wed, 17 Dec 2025 11:52:07 +0100

## gemini-cli 0.22.5

=== debian/changelog ===
gemini-cli (0.22.5-0kali1) kali-dev; urgency=medium

  * New upstream version 0.22.5
  * Bump Standards-Version to 4.7.3
  * debian/watch: use version 5

 -- Sophie Brun <sophie@kali.org>  Tue, 06 Jan 2026 14:21:21 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  ca-certificates,
  debhelper-compat (= 13),
  npm,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/google-gemini/gemini-cli
 Vcs-Browser: https://gitlab.com/kalilinux/packages/gemini-cli
 Vcs-Git: https://gitlab.com/kalilinux/packages/gemini-cli.git

=== debian/tests/control ===
Test-Command: gemini-cli --help
Restrictions: superficial, allow-stderr

=== debian/watch ===
Version: 5
Source: https://github.com/google-gemini/gemini-cli/tags
Matching-Pattern: (?:.*?/)v((?:[0-9]\d*)(?:\.\d+){2})@ARCHIVE_EXT@
